---
name: cli-setup
description: Run initial setup, configure global CLI settings, manage environment variables, check for updates, and configure autostart via the CLI setup and config commands.
---
<!-- generated by src/lib/agentSkills/generator.ts; manual edits will be overwritten -->

## Overview

Run initial setup, configure global CLI settings, manage environment variables, check for updates, and configure autostart via the CLI setup and config commands.

## Quick install

```bash
npm install -g omniroute   # or: npx omniroute
omniroute --version
```

## Subcommands

### `autostart`

**Example:**

```bash
omniroute autostart
```

### `autostart enable`

**Example:**

```bash
omniroute autostart enable
```

### `autostart disable`

**Example:**

```bash
omniroute autostart disable
```

### `autostart status`

**Example:**

```bash
omniroute autostart status
```

### `config`

Show or update CLI tool configuration

**Example:**

```bash
omniroute config
```

### `config list`

List all CLI tools and config status

**Flags:**

- `--json`

**Example:**

```bash
omniroute config list
```

### `config get <tool>`

Show current config for a tool

**Flags:**

- `--json`

**Example:**

```bash
omniroute config get <tool>
```

### `config set <tool>`

Write config for a tool

**Flags:**

- `--model <model>`
- `--non-interactive`
- `--yes`

**Example:**

```bash
omniroute config set <tool>
```

### `config validate <tool>`

Validate config format without writing

**Flags:**

- `--model <model>`
- `--json`

**Example:**

```bash
omniroute config validate <tool>
```

### `config opencode`

Generate OpenCode config (alias for 

**Flags:**

- `--model <model>`
- `--non-interactive`
- `--yes`

**Example:**

```bash
omniroute config opencode
```

### `config lang`

**Example:**

```bash
omniroute config lang
```

### `config get`

**Flags:**

- `--json`

**Example:**

```bash
omniroute config get
```

### `config set <code>`

**Flags:**

- `--force`

**Example:**

```bash
omniroute config set <code>
```

### `config list`

**Flags:**

- `--json`

**Example:**

```bash
omniroute config list
```

### `env`

Show and manage environment variables

**Example:**

```bash
omniroute env
```

### `env show`

Show current environment variables

**Flags:**

- `--json`

**Example:**

```bash
omniroute env show
```

### `env get <key>`

Get a single environment variable

**Example:**

```bash
omniroute env get <key>
```

### `env set <key> <value>`

Set an environment variable (current session only)

**Example:**

```bash
omniroute env set <key> <value>
```

### `setup`

**Flags:**

- `--password <value>`
- `--add-provider`
- `--provider <id>`
- `--provider-name <name>`
- `--api-key <value>`
- `--default-model <model>`
- `--provider-base-url <url>`
- `--test-provider`
- `--non-interactive`
- `--list`

**Example:**

```bash
omniroute setup
```

### `update`

**Flags:**

- `--check`
- `--apply`
- `--changelog`
- `--dry-run`
- `--no-backup`
- `--yes`

**Example:**

```bash
omniroute update
```
